part of tecfy_corev2_client_package;

class PropertyOtherEntityMany extends Property {
  late String entityName;
  late String idProperty;

  PropertyOtherEntityMany.fromMap(Map<String, dynamic> row)
      : super.fromMap(row) {
    entityName = lowerFirst(row['entityName']) ?? '';
    idProperty = lowerFirst(row['idProperty']) ?? '';
  }
  @override
  OperationResult isValid(data) {
    if (!super.isValid(data).success) return super.isValid(data);

    return OperationResult(success: true);
  }

  /// get the value and bind tp display widget
  Widget getDisplayWidget(Map<String, dynamic> data, {TextStyle? textStyle}) {
    return Text('OtherEntityMany', style: textStyle);
  }

  /// get the value in text
  String getDisplayText(Map<String, dynamic> data) {
    return '';
  }

  Future<bool> getDefaultValue(Map<String, dynamic> data) async {
    if (MapService.getValue(data, dbName) != null) return false;

    return false;
  }
}
